version: "3"
services:
  botica_producto-app:
    build: .
    restart: always
    ports:
      - 8080:8080
    environment:
      SPRING_APPLICATION_JSON: '{
            "spring.datasource.url" : "jdbc:postgresql://postgres:5432/producto?allowPublicKeyRetrieval=true&useSSL=false",
            "spring.datasource.username" : "postgres",
            "spring.datasource.password" : "testProducto",
            "spring.datasource.driverClassName" : "org.postgresql.Driver",
            "spring.jpa.hibernate.ddl-auto" : "update"
          }'
    depends_on:
      - postgres
  postgres:
    image: postgres:alpine3.15
    ports:
      - 5432:5432
    environment:
      - POSTGRES_PASSWORD=testProducto
      - POSTGRES_DB=producto
    volumes:
      - db_botica_producto:/var/lib/postgresql/data
volumes:
  db_botica_producto: